<?php
/**
 * Piwik - Open source web analytics
 * 
 * @link http://piwik.org
 * @license http://www.gnu.org/licenses/gpl-3.0.html Gpl v3 or later
 * @version $Id: API.php 169 2008-01-14 05:41:15Z matt $
 * 
 * @package Piwik_Envole
 */



/**
 * 
 * @package Piwik_Envole
 */
class Piwik_Envole_API 
{
	static private $instance = null;
	static public function getInstance()
	{
		if (self::$instance == null)
		{            
			$c = __CLASS__;
			self::$instance = new $c();
		}
		return self::$instance;
	}

	private function getDataTable($name, $idSite, $period, $date, $idSubtable = null)
	{
		Piwik::checkUserHasViewAccess( $idSite );
		$archive = Piwik_Archive::build($idSite, $period, $date );
		$dataTable = $archive->getDataTable($name, $idSubtable);
		$dataTable->filter('Sort', array(Piwik_Archive::INDEX_NB_VISITS));
		$dataTable->queuefilter('ReplaceColumnNames');
		return $dataTable;
	}
	
	public function getEnvoleprovenance( $idSite, $period, $date )
	{
		$dataTable = $this->getDataTable('UserEnvole_provenance', $idSite, $period, $date);
		//$dataTable->queuefilter('ColumnCallbackAddMetadata', array('label', 'code', create_function('$label', 'return $label;')));
		//$dataTable->queuefilter('ColumnCallbackAddMetadata', array('label', 'logo', 'Piwik_getFlagFromCode'));
		//$dataTable->queuefilter('ColumnCallbackReplace', array('label', 'Piwik_UserEnvole_provenanceTranslate'));
		//$dataTable->queuefilter('AddConstantMetadata', array('logoWidth', 18));
		//$dataTable->queuefilter('AddConstantMetadata', array('logoHeight', 12));
		return $dataTable;
	}
	
	public function getEnvolerne( $idSite, $period, $date )
	{
		$dataTable = $this->getDataTable('UserEnvole_rne', $idSite, $period, $date);
		//$dataTable->queuefilter('ColumnCallbackAddMetadata', array('label', 'code', create_function('$label', 'return $label;')));
		//$dataTable->queuefilter('ColumnCallbackReplace', array('label', 'Envole_rneTranslate'));
		return $dataTable;
	}
	
	public function getEnvolegroup( $idSite, $period, $date )
	{
		$dataTable = $this->getDataTable('UserEnvole_group', $idSite, $period, $date);
		//$dataTable->queuefilter('ColumnCallbackAddMetadata', array('label', 'code', create_function('$label', 'return $label;')));
		//$dataTable->queuefilter('ColumnCallbackReplace', array('label', 'Envole_rneTranslate'));
		return $dataTable;
	}
	
	function getNumberOfDistinctRne($idSite, $period, $date)
	{
		Piwik::checkUserHasViewAccess( $idSite );
		$archive = Piwik_Archive::build($idSite, $period, $date );
		return $archive->getDataTableFromNumeric('UserEnvole_distinctRne');
	}
	public function getNumberOfDistinctCountries($idSite, $period, $date)
	{
		Piwik::checkUserHasViewAccess( $idSite );
		$archive = Piwik_Archive::build($idSite, $period, $date );
		return $archive->getDataTableFromNumeric('UserCountry_distinctCountries');
	}
	
	function getCitiesFromprovenanceId($idSite, $period, $date, $idSubtable)
	{
		$dataTable = $this->getDataTable('Envole_cityByprovenance', $idSite, $period, $date, $idSubtable);
		return $dataTable;		
	}
}


