<?php
class Piwik_Envole_Controller extends Piwik_Controller 
{
	function index()
	{
		$view = new Piwik_View('Envole/templates/index.tpl');
		//if(Piwik_PluginsManager::getInstance()->isPluginEnabled('Provider'))
		//{
			$view->provider = Piwik_FrontController::getInstance()->fetchDispatch('Provider','getProvider');
		//}
		$view->urlSparklinerne = $this->getUrlSparkline('getLastDistinctCountriesGraph');
		$view->numberDistinctrne = $this->getNumberOfDistinctRne(true);
		
		$view->dataTableprovenance = $this->getEnvoleprovenance(true);
		$view->dataTablerne = $this->getEnvolerne(true);
		$view->dataTablegroup = $this->getEnvolegroup(true);
		
		echo $view->render();
	}
	
	function getEnvoleprovenance( $fetch = false)
	{
		$view = Piwik_ViewDataTable::factory( 'graphVerticalBar');
		$view->init( $this->pluginName,  __FUNCTION__, 'Envole.getEnvoleprovenance' );
		//$view = $this->getStandardDataTableEnvole(__FUNCTION__, 'Envole.getEnvoleprovenance', 'getCitiesFromprovenanceId');
		$view->setColumnTranslation('label', Piwik_Translate('Envoleprovenance_provenance'));
		return $this->renderView($view, $fetch);
	}
	
	function getEnvolerne( $fetch = false)
	{
		$view = $this->getStandardDataTableEnvole(__FUNCTION__, "Envole.getEnvolerne");
		//$view->disableOffsetInformation();
		//$view->disableSort();
		$view->setColumnTranslation('label', Piwik_Translate('Envoleprovenance_Rne'));
		return $this->renderView($view, $fetch);
	}
	function getEnvolegroup( $fetch = false)
	{
		$view = Piwik_ViewDataTable::factory( 'graphPie');
		$view->init( $this->pluginName,  __FUNCTION__, 'Envole.getEnvolegroup' );
		//$view = $this->getStandardDataTableEnvole(__FUNCTION__, "Envole.getEnvolegroup");
		//$view->disableOffsetInformation();
		//$view->disableSort();
		$view->setColumnTranslation('label', Piwik_Translate('Envoleprovenance_group'));
		return $this->renderView($view, $fetch);
	}
	
	function getCitiesFromprovenanceId( $fetch = false )
	{
		$view = $this->getStandardDataTableEnvole(__FUNCTION__, 'Envole.getCitiesFromprovenanceId');
		$view->setColumnTranslation('label', Piwik_Translate('Envole_ColumnCity'));
		return $this->renderView($view, $fetch);
	}

	protected function getStandardDataTableEnvole( $currentControllerAction, 
												$APItoCall,
												$defaultDatatableType = null  )
	{
		//$view = Piwik_ViewDataTable::factory();
		$view = Piwik_ViewDataTable::factory( $defaultDatatableType);
		$view->init( $this->pluginName, $currentControllerAction, $APItoCall);
		$view->disableSearchBox();
		$view->disableExcludeLowPopulation();
		
		$this->setPeriodVariablesView($view);
		$column = 'nb_visits';
		if($view->period == 'day')
		{
			$column = 'nb_uniq_visitors';
		}
		$view->setColumnsToDisplay( array('label',$column) );
		$view->setSortedColumn( $column );
		return $view;
	}
	
	function getNumberOfDistinctRne( $fetch = false)
	{
		return $this->getNumericValue('Envole.getNumberOfDistinctRne');
	}

	function getLastDistinctCountriesGraph( $fetch = false )
	{
		$view = $this->getLastUnitGraph('Envole',__FUNCTION__, "Envole.getNumberOfDistinctCountries");
		return $this->renderView($view, $fetch);
	}
}
