<?php
/**
 * Piwik - Open source web analytics
 * 
 * @link http://piwik.org
 * @license http://www.gnu.org/licenses/gpl-3.0.html Gpl v3 or later
 * @version $Id: ExamplePlugin.php 518 2008-06-09 00:44:10Z matt $
 * 
 * @package Piwik_ExamplePlugin
 */

class Piwik_Remonte extends Piwik_Plugin
{
	public function getInformation()
	{
		return array(
			// name must be the className prefix!
			'name' => 'Remonte',
			'description' => 'Description',
			'author' => 'Piwik',
			'homepage' => 'http://piwik.org/',
			'version' => '0.1',
		);
	}
	
	function install()
	{
		try{
			Piwik_Query('CREATE  VIEW `view_piwik_visit_action` AS (select `plv`.`idvisit` AS `plvidvisit`,`plv`.`idsite` AS `plvidsite`,`plv`.`visitor_localtime` AS `visitor_localtime`,`plv`.`visitor_idcookie` AS `visitor_idcookie`,`plv`.`visitor_returning` AS `visitor_returning`,`plv`.`visit_first_action_time` AS `visit_first_action_time`,`plv`.`visit_last_action_time` AS `visit_last_action_time`,`plv`.`visit_server_date` AS `visit_server_date`,`plv`.`visit_exit_idaction_url` AS `visit_exit_idaction`,`plv`.`visit_entry_idaction_url` AS `visit_entry_idaction`,`plv`.`visit_total_actions` AS `visit_total_actions`,`plv`.`visit_total_time` AS `visit_total_time`,`plv`.`referer_type` AS `referer_type`,`plv`.`referer_name` AS `referer_name`,`plv`.`referer_url` AS `referer_url`,`plv`.`referer_keyword` AS `referer_keyword`,`plv`.`config_md5config` AS `config_md5config`,`plv`.`config_os` AS `config_os`,`plv`.`config_browser_name` AS `config_browser_name`,`plv`.`config_browser_version` AS `config_browser_version`,`plv`.`config_resolution` AS `config_resolution`,`plv`.`config_pdf` AS `config_pdf`,`plv`.`config_flash` AS `config_flash`,`plv`.`config_java` AS `config_java`,`plv`.`config_director` AS `config_director`,`plv`.`config_quicktime` AS `config_quicktime`,`plv`.`config_realplayer` AS `config_realplayer`,`plv`.`config_windowsmedia` AS `config_windowsmedia`,`plv`.`config_cookie` AS `config_cookie`,`plv`.`location_ip` AS `location_ip`,`plv`.`location_browser_lang` AS `location_browser_lang`,`plv`.`location_country` AS `location_country`,`plv`.`location_continent` AS `location_continent`,`plv`.`location_provider` AS `location_provider`,`plv`.`Envole_rne` AS `cel_rne`,`plv`.`Envole_group` AS `cel_user`,`plv`.`Envole_user` AS `cel_ip`,`plv`.`Envole_provenance` AS `cel_provenance`,`pllva`.`idlink_va` AS `idlink_va`,`pllva`.`idvisit` AS `idvisit`,`pllva`.`idaction_url` AS `pllvaidaction`,`pllva`.`idaction_url_ref` AS `idaction_ref`,`pllva`.`time_spent_ref_action` AS `time_spent_ref_action`,`pla`.`idaction` AS `plaidaction`,`pla`.`name` AS `planame`,`pla`.`type` AS `platype`,`pla2`.`idaction` AS `pla2idaction`,`pla2`.`name` AS `pla2name`,`pla2`.`type` AS `pla2type` from (((`'.Piwik::prefixTable('log_visit').'` `plv` join `'.Piwik::prefixTable('log_link_visit_action').'` `pllva` on((`plv`.`idvisit` = `pllva`.`idvisit`))) join `'.Piwik::prefixTable('log_action').'` `pla` on((`pllva`.`idaction_url` = `pla`.`idaction`))) left join `'.Piwik::prefixTable('log_action').'` `pla2` on((`pla2`.`idaction` = `pllva`.`idaction_url_ref`))));');
		} catch(Zend_Db_Statement_Exception $e){
			// mysql code error 1050 - Table 'view_piwik_visit_action' already exists 
			// if there is another error we throw the exception, otherwise it is OK as we are simply reinstalling the plugin
			if(!ereg('1050',$e->getMessage()))
			{
				throw $e;
			}
		}
	}
	function uninstall()
	{
		// Piwik_Query('ALTER TABLE '.Piwik::prefixTable('site'). " DROP `feedburnerName`");
	}
	
}

